## org.biojava.utils
Interface Commitable

All Known Implementing Classes:
  FileAsList

public interface Commitable

Implementations of `Commitable` support atomic changes from one known state to another via commit/rollback semantics.

Author:
  Unknown, Keith James

Method Summary
`void` `commit()` `commit` commits pending changes.
`void` `rollback()` `rollback` reverses pending changes to restore initial (or prior commit) state.

Method Detail

### commit

    public void commit()
                throws NestedException

  `commit` commits pending changes.

  Throws:
    `NestedException` - if an error occurs

### rollback

    public void rollback()

  `rollback` reverses pending changes to restore initial (or prior commit) state.